{ pkgs, config, ... }:

{
  age.secrets.mediawiki-admin-passwd = {
    file = ../../secrets/mediakiwi/mediawiki-admin-passwd.age;
  };

  services.mediawiki = {
    enable = true;

    httpd.virtualHost = {
      hostName = "mediakiwi.crans.org";
      adminAddr = "root@crans.org";

      listen = [
        {
          ip = "127.0.0.1";
          port = 8080;
        }
      ];
    };

    passwordFile = config.age.secrets.mediawiki-admin-passwd.path;

    extraConfig = ''
      # contact info
      $wgEmergencyContact = 'contact@crans.org';
    
      # default theme
      $wgDefaultSkin = 'citizen';

      $wgLanguageCode = 'fr';

      # Disable anonymous editing
      $wgGroupPermissions['*']['edit'] = false;
    '';

    skins = {
      Citizen = pkgs.fetchzip {
        url = "https://github.com/StarCitizenTools/mediawiki-skins-Citizen/archive/main.zip";
        sha256 = "sha256-6ZhrAHAKWHGij1qBgigEll0xbGhEOo0hYTMuakkU06o=";
      };
    };
  };
}
